Subject: bug#23006: 25.0.92; Loading Tramp breaks pcomplete in eshell-mode

From: Stefan Monnier <[email-masked]>
Date: Tue, 22 Mar 2016 10:01:30 -0400

>>> Tramp has no information, that file-name-completion is still in
>>> progress, and does its job. It tries to connect to the remote host
>>> "/adb:" in order to check.
>> For me (file-directory-p "/adb:") doesn't try to connect to "adb" but
>> instead signals "Host name must not match method name 'adb'".  I think
>> it's correct not to try to connect to "adb", but I think it should just
>> return nil because "/adb:" is not a directory.
> As said, it is not about file-directory-p. Any file name operation could
> be called while file name completion is in progress.

I think it's worth going into the details to see why/where an actual
real problem comes up.

        Stefan